/* 
   $Id: gtksgctree.h,v 1.6 2001/12/20 07:39:29 shibajun Exp $

   Copyright (C) 2001-2002 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of sylpheed.

   sylpheed is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sylpheed is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sylpheed; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */



#ifndef __SG_CTREE_H__
#define __SG_CTREE_H__

#include <gtk/gtk.h>
#include <gtk/gtkctree.h>

#define TYPE_GTK_SGCTREE (gtk_sgctree_get_type())
#define GTK_SGCTREE(obj) (GTK_CHECK_CAST((obj), TYPE_GTK_SGCTREE, GtkSGCTree))
#define GTK_SGCTREE_CLASS(klass) (GTK_CHECK_CLASS_CAST ((klass), TYPE_GTK_SGCTREE, GtkSGCTreeClass))
#define GTK_IS_SGCTREE(obj) (GTK_CHECK_TYPE((obj), TYPE_GTK_SGCTREE))
#define GTK_IS_SGCTREE_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), TYPE_GTK_SGCTREE))

typedef struct _GtkSGCTree GtkSGCTree ;
typedef struct _GtkSGCTreeClass GtkSGCTreeClass ;

struct _GtkSGCTree {
  GtkCTree ctree ;
} ;

struct _GtkSGCTreeClass {
  GtkCTreeClass parent_class ;
  void (* tree_open_row) (GtkSGCTree *sgctree) ;
} ;

guint gtk_sgctree_get_type (void) ;
GtkWidget *gtk_sgctree_new (void) ;
GtkWidget *gtk_sgctree_new_with_titles (gint columns,
					gint tree_column,
					gchar *titles[]) ;
#endif /* __SG_CTREE_H__ */
